Package com.scriptel.proscript

## Class CalibrationData

- java.lang.Object
- - com.scriptel.proscript.CalibrationData

-     public class CalibrationData
      extends java.lang.Object

  This class represents output parameters of a ScripTouch device. There are two purposes. One is for internal Scriptel engineering and development. The other is to support the desire to save calibration data and restore the same calibration data back at a later time. This can be accomplished through getJSONCalibrationBlob() and the String constructor respectively.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CalibrationData()` |
    `CalibrationData​(java.lang.String json)` | Given a json string created by getJSONCalibrationBlob() this will create a clone of the original object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `short` | `getCalibrationType()` | Gets the calibration type whose definition is TBD
    `int` | `getHostMultiplierScale()` | Gets a magical calibration value
    `int` | `getHostXMultiplierScaled()` | gets a magical calibration value.
    `int` | `getHostXOffset()` | gets a magical calibration value.
    `int` | `getHostYMultiplierScaled()` | gets a magical calibration value.
    `int` | `getHostYOffset()` | gets a magical calibration value.
    `java.lang.String` | `getJSONCalibrationBlob()` | Gets a json representation of the data in this object.
    `int` | `getLocalHeightCalibrated()` | gets a magical calibration value.
    `int` | `getLocalMultiplierScale()` | Gets a magical calibration value
    `int` | `getLocalWidthCalibrated()` | gets a magical calibration value
    `long` | `getLocalXMultiplierScaled()` | gets a magical calibration value.
    `int` | `getLocalXOffset()` | gets a magical calibration value.
    `int` | `getLocalYMultiplierScaled()` | gets a magical calibration value.
    `int` | `getLocalYOffset()` | gets a magical calibration value.
    `int` | `getRotationCOSScaled()` | gets a magical calibration value.
    `int` | `getRotationScale()` | Gets a magical calibration value
    `int` | `getRotationSINScaled()` | gets a magical calibration value.
    `boolean` | `isCalibrated()` | Whether the device is currently in a calibrated state.
    `void` | `setCalibrationType​(short calibrationType)` | Sets the calibration type whose definition is TBD
    `void` | `setHostMultiplierScale​(int multiplierScale)` | sets a magical calibration value.
    `void` | `setHostXMultiplierScaled​(int hostXMultiplierScaled)` | sets a magical calibration value.
    `void` | `setHostXOffset​(int hostXOffset)` | sets a magical calibration value.
    `void` | `setHostYMultiplierScaled​(int hostYMultiplierScaled)` | sets a magical calibration value.
    `void` | `setHostYOffset​(int hostYOffset)` | sets a magical calibration value.
    `void` | `setLocalHeightCalibrated​(int localHeightCalibrated)` | sets a magical calibration value.
    `void` | `setLocalMultiplierScale​(int multiplierScale)` | Sets a magical calibration value
    `void` | `setLocalWidthCalibrated​(int localWidthCalibrated)` | sets a magical calibration value.
    `void` | `setLocalXMultiplierScaled​(int localXMultiplierScaled)` | sets a magical calibration value.
    `void` | `setLocalXOffset​(int localXOffset)` | sets a magical calibration value.
    `void` | `setLocalYMultiplierScaled​(int localYMultiplierScaled)` | sets a magical calibration value.
    `void` | `setLocalYOffset​(int localYOffset)` | sets a magical calibration value.
    `void` | `setRotationCOSScaled​(int rotationCOSScaled)` | sets a magical calibration value.
    `void` | `setRotationScale​(int rotationScale)` | Sets a magical calibration value
    `void` | `setRotationSINScaled​(int rotationSINScaled)` | sets a magical calibration value.
    `java.lang.String` | `toString()` | Prints this object as a human readable string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CalibrationData

          public CalibrationData​(java.lang.String json)

      Given a json string created by getJSONCalibrationBlob() this will create a clone of the original object.
      Parameters:
        `json` - a JSON string representing a CalibrationData object

    - #### CalibrationData

          public CalibrationData()

  - ### Method Detail

    - #### getJSONCalibrationBlob

          public java.lang.String getJSONCalibrationBlob()

      Gets a json representation of the data in this object. Can be used with this class's String constructor to create a clone.
      Returns:
        a json string representing the data of this object.

    - #### toString

          public java.lang.String toString()

      Prints this object as a human readable string.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Human readable string.

    - #### getCalibrationType

          public short getCalibrationType()

      Gets the calibration type whose definition is TBD
      Returns:
        calibration type

    - #### setCalibrationType

          public void setCalibrationType​(short calibrationType)

      Sets the calibration type whose definition is TBD
      Parameters:
        `calibrationType` - TBD

    - #### isCalibrated

          public boolean isCalibrated()

      Whether the device is currently in a calibrated state.
      Returns:
        state

    - #### getRotationScale

          public int getRotationScale()

      Gets a magical calibration value
      Returns:
        the value

    - #### setRotationScale

          public void setRotationScale​(int rotationScale)

      Sets a magical calibration value
      Parameters:
        `rotationScale` - a magic number

    - #### getLocalMultiplierScale

          public int getLocalMultiplierScale()

      Gets a magical calibration value
      Returns:
        the value

    - #### setLocalMultiplierScale

          public void setLocalMultiplierScale​(int multiplierScale)

      Sets a magical calibration value
      Parameters:
        `multiplierScale` - a magic number

    - #### getHostMultiplierScale

          public int getHostMultiplierScale()

      Gets a magical calibration value
      Returns:
        the value

    - #### setHostMultiplierScale

          public void setHostMultiplierScale​(int multiplierScale)

      sets a magical calibration value.
      Parameters:
        `multiplierScale` - a magic number

    - #### getRotationSINScaled

          public int getRotationSINScaled()

      gets a magical calibration value.
      Returns:
        the value

    - #### setRotationSINScaled

          public void setRotationSINScaled​(int rotationSINScaled)

      sets a magical calibration value.
      Parameters:
        `rotationSINScaled` - a magic number

    - #### getRotationCOSScaled

          public int getRotationCOSScaled()

      gets a magical calibration value.
      Returns:
        the value

    - #### setRotationCOSScaled

          public void setRotationCOSScaled​(int rotationCOSScaled)

      sets a magical calibration value.
      Parameters:
        `rotationCOSScaled` - a magic number

    - #### getLocalWidthCalibrated

          public int getLocalWidthCalibrated()

      gets a magical calibration value
      Returns:
        the value

    - #### setLocalWidthCalibrated

          public void setLocalWidthCalibrated​(int localWidthCalibrated)

      sets a magical calibration value.
      Parameters:
        `localWidthCalibrated` - a magic number

    - #### getLocalHeightCalibrated

          public int getLocalHeightCalibrated()

      gets a magical calibration value.
      Returns:
        the value

    - #### setLocalHeightCalibrated

          public void setLocalHeightCalibrated​(int localHeightCalibrated)

      sets a magical calibration value.
      Parameters:
        `localHeightCalibrated` - a magic number

    - #### getLocalXMultiplierScaled

          public long getLocalXMultiplierScaled()

      gets a magical calibration value.
      Returns:
        the value

    - #### setLocalXMultiplierScaled

          public void setLocalXMultiplierScaled​(int localXMultiplierScaled)

      sets a magical calibration value.
      Parameters:
        `localXMultiplierScaled` - a magic number

    - #### getLocalXOffset

          public int getLocalXOffset()

      gets a magical calibration value.
      Returns:
        the value

    - #### setLocalXOffset

          public void setLocalXOffset​(int localXOffset)

      sets a magical calibration value.
      Parameters:
        `localXOffset` - a magic number

    - #### getLocalYMultiplierScaled

          public int getLocalYMultiplierScaled()

      gets a magical calibration value.
      Returns:
        the value

    - #### setLocalYMultiplierScaled

          public void setLocalYMultiplierScaled​(int localYMultiplierScaled)

      sets a magical calibration value.
      Parameters:
        `localYMultiplierScaled` - a magic number

    - #### getLocalYOffset

          public int getLocalYOffset()

      gets a magical calibration value.
      Returns:
        the value

    - #### setLocalYOffset

          public void setLocalYOffset​(int localYOffset)

      sets a magical calibration value.
      Parameters:
        `localYOffset` - a magic number

    - #### getHostXMultiplierScaled

          public int getHostXMultiplierScaled()

      gets a magical calibration value.
      Returns:
        the value

    - #### setHostXMultiplierScaled

          public void setHostXMultiplierScaled​(int hostXMultiplierScaled)

      sets a magical calibration value.
      Parameters:
        `hostXMultiplierScaled` - a magic number

    - #### getHostXOffset

          public int getHostXOffset()

      gets a magical calibration value.
      Returns:
        the value

    - #### setHostXOffset

          public void setHostXOffset​(int hostXOffset)

      sets a magical calibration value.
      Parameters:
        `hostXOffset` - a magic number

    - #### getHostYMultiplierScaled

          public int getHostYMultiplierScaled()

      gets a magical calibration value.
      Returns:
        the value

    - #### setHostYMultiplierScaled

          public void setHostYMultiplierScaled​(int hostYMultiplierScaled)

      sets a magical calibration value.
      Parameters:
        `hostYMultiplierScaled` - a magic number

    - #### getHostYOffset

          public int getHostYOffset()

      gets a magical calibration value.
      Returns:
        the value

    - #### setHostYOffset

          public void setHostYOffset​(int hostYOffset)

      sets a magical calibration value.
      Parameters:
        `hostYOffset` - a magic number